NTRUEncryptTest (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.pqc.crypto.test

## Class NTRUEncryptTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.pqc.crypto.test.NTRUEncryptTest

- All Implemented Interfaces:
    junit.framework.Test

      public class NTRUEncryptTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NTRUEncryptTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testEncodedKeysFast()`
    `void` | `testEncodedKeysSlow()`
    `void` | `testEncryptDecrypt()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NTRUEncryptTest

          public NTRUEncryptTest()

  - ### Method Detail

    - #### testEncryptDecrypt

          public void testEncryptDecrypt()
                                  throws InvalidCipherTextException

      Throws:
        `InvalidCipherTextException`

    - #### testEncodedKeysSlow

          public void testEncodedKeysSlow()
                                   throws java.io.IOException,
                                          InvalidCipherTextException

      Throws:
        `java.io.IOException`
        `InvalidCipherTextException`

    - #### testEncodedKeysFast

          public void testEncodedKeysFast()
                                   throws java.io.IOException,
                                          InvalidCipherTextException

      Throws:
        `java.io.IOException`
        `InvalidCipherTextException`